diff --git a/src/MQTTAsyncUtils.c b/src/MQTTAsyncUtils.c
index d420a870..6732fe44 100644
--- a/src/MQTTAsyncUtils.c
+++ b/src/MQTTAsyncUtils.c
@@ -2568,8 +2568,8 @@ void setRetryLoopInterval(int keepalive)
 {
 	retryLoopIntervalms = (keepalive*1000) / 10;
 
-	if (retryLoopIntervalms < 300)
-		retryLoopIntervalms = 300;
+	if (retryLoopIntervalms < 100)
+		retryLoopIntervalms = 100;
 	else if (retryLoopIntervalms  > 5000)
 		retryLoopIntervalms = 5000;
 }
diff --git a/src/MQTTClient.c b/src/MQTTClient.c
index 51867952..cd503bd0 100644
--- a/src/MQTTClient.c
+++ b/src/MQTTClient.c
@@ -1432,8 +1432,8 @@ void setRetryLoopInterval(int keepalive)
 {
 	retryLoopIntervalms = (keepalive*1000) / 10;
 
-	if (retryLoopIntervalms < 300)
-		retryLoopIntervalms = 300;
+	if (retryLoopIntervalms < 100)
+		retryLoopIntervalms = 100;
 	else if (retryLoopIntervalms  > 5000)
 		retryLoopIntervalms = 5000;
 }
